Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netlib.lapack
Class Ssterf

    java.lang.Object
      org.netlib.lapack.Ssterf

    public class Ssterf

extends java.lang.Object

    Following is the description from the original
    Fortran source.  For each array argument, the Java
    version will include an integer offset parameter, so
    the arguments may not match the description exactly.
    Contact seymour@cs.utk.edu with any questions.

     *     ..
     *
     *  Purpose
     *  =======
     *
     *  SSTERF computes all eigenvalues of a symmetric tridiagonal matrix
     *  using the Pal-Walker-Kahan variant of the QL or QR algorithm.
     *
     *  Arguments
     *  =========
     *
     *  N       (input) INTEGER
     *          The order of the matrix.  N >= 0.
     *
     *  D       (input/output) REAL array, dimension (N)
     *          On entry, the n diagonal elements of the tridiagonal matrix.

     *          On exit, if INFO = 0, the eigenvalues in ascending order.
     *
     *  E       (input/output) REAL array, dimension (N-1)
     *          On entry, the (n-1) subdiagonal elements of the tridiagonal
     *          matrix.
     *          On exit, E has been destroyed.
     *
     *  INFO    (output) INTEGER
     *          = 0:  successful exit
     *          < 0:  if INFO = -i, the i-th argument had an illegal value
     *          > 0:  the algorithm failed to find all of the eigenvalues in

     *                a total of 30*N iterations; if INFO = i, then i
     *                elements of E have not converged to zero.
     *
     *  =====================================================================
     *
     *     .. Parameters ..

Constructor Summary
`Ssterf()`

Method Summary
`static void` | `ssterf(int n, float[] d, int _d_offset, float[] e, int _e_offset, intW info)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Ssterf

    public Ssterf()

Method Detail

### ssterf

    public static void ssterf(int n,
                              float[] d,
                              int _d_offset,
                              float[] e,
                              int _e_offset,
                              intW info)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD